Bug 855194 - "from gi.repository import Gtk" fails
"from gi.repository import Gtk" fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 20:21 EDT by Steven Usdansky
Modified: 2013-03-13 00:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: pygobject3-3.4.1.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 10:00:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2012-09-06 20:21:35 EDT
Description of problem:
Cannot import from gi.repository

Version-Release number of selected component (if applicable):
pygobject3-3.3.4-8.fc18.x86_64
python3-gobject-3.3.4-8.fc18.x86_64
python3-3.3.0-0.4.rc1.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open terminal window and run python3
2. "Type from gi.repository import Gtk" and press enter key
3.
  
Actual results:
>>> from gi.repository import Gtk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.3/site-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ValueError: level must be >= 0
>>> Gtk.Window()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name 'Gtk' is not defined

>>> from gi.repository import cairo
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.3/site-packages/gi/__init__.py", line 23, in <module>
    from ._gi import _API, Repository
ValueError: level must be >= 0



Expected results:
Just works with no error

Additional info:
Worked properly several versions back. Not sure when it broke
Comment 1 Kalev Lember 2012-11-09 10:00:40 EST
Thanks for reporting this!

I believe it's been fixed in later builds, so I'll just close the ticket. Please reopen if it's still an issue with a recent build.

Note You need to log in before you can comment on or make changes to this bug.